Summary:	The OpenGL Extension Wrangler Library
Summary(pl.UTF-8):	Bibliteka OpenGL Extension Wrangler
Name:		glew
Version:	2.2.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}.tgz
# Source0-md5:	3579164bccaef09e36c0af7f4fd5c7c7
Patch0:		%{name}-eglew.patch
Patch1:		%{name}-const.patch
URL:		http://glew.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target
platform. OpenGL core and extension functionality is exposed in a
single header file.

%description -l pl.UTF-8
OpenGL Extension Wrangler Library (GLEW) jest międzyplatformową
biblioteką C/C++ ładującą rozszerzenia. GLEW zapewnia wydajne
mechanizmy rozpoznające które rozszerzenia są dostępne w czasie
wykonywania programu. Funkcjonalność rdzenia OpenGL i rozszerzeń jest
udostępniana w pojedynczym pliku nagłówkowym.

%package devel
Summary:	Header files for glew
Summary(pl.UTF-8):	Pliki nagłówkowe glew
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libX11-devel

%description devel
Header files for glew.

%description devel -l pl.UTF-8
Pliki nagłówkowe glew.

%package static
Summary:	Static glew library
Summary(pl.UTF-8):	Biblioteka statyczna glew
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glew library.

%description static -l pl.UTF-8
Biblioteka statyczna glew.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	INCDIR=%{_includedir}/GL \
	LIBDIR=%{_libdir} \
	PKGDIR=%{_pkgconfigdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install.all \
	DESTDIR=$RPM_BUILD_ROOT \
	INCDIR=%{_includedir}/GL \
	LIBDIR=%{_libdir} \
	PKGDIR=%{_pkgconfigdir}

# Win32-specific
%{__rm} $RPM_BUILD_ROOT%{_includedir}/GL/wglew.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md doc/*.{html,css,png,jpg}
%attr(755,root,root) %{_bindir}/glewinfo
%attr(755,root,root) %{_bindir}/visualinfo
%attr(755,root,root) %{_libdir}/libGLEW.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLEW.so.2.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLEW.so
%{_includedir}/GL/eglew.h
%{_includedir}/GL/glew.h
%{_includedir}/GL/glxew.h
%{_pkgconfigdir}/glew.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libGLEW.a
%changelog
* Wed Mar 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glew.git;a=log;h=master

* Thu Mar 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 4ab5a62
- updated to 2.2.0 (note: new soname)
- updated const patch

* Sat Apr 06 2019 Jakub Bogusz <qboosh@pld-linux.org> a08c58f
- added const patch (sync const specifications in glew.h with glext.h); release 2

* Sun Mar 31 2019 Jan Rękorajski <baggins@pld-linux.org> 6a38476
- fix pkgconfig install

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> e4078be
- fix pkgconfig dir

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> ae9adee
- updated to 2.1.0 (new sonames, GLEWmx dropped; glew 1.x preserved in glew1.spec)
- added eglew patch to install eglew.h header file

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 52de486
- release 2 (by relup.sh)

* Tue Nov 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 14defe1
- updated to 1.13.0 (note: new sonames)

* Mon Jul 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 6d73304
- updated to 1.12.0 (note: new sonames)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 6bb1f44
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 3818b6c
- updated to 1.10.0 (note: new soname)
- removed obsolete dynamic-progs patch

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 2b78f03
- updated to 1.7.0

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 9f6c57d
- updated to 1.6.0 (note: new soname)

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> be1019c
- updated to 1.5.8

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 3329db4
- Up to 1.5.7

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> abe5cf8
- updated to 1.5.6
- updated dynamic-progs patch
- don't package GL/wglew.h (Win32-only)

* Wed Apr 15 2009 arvenil <arvenil@pld-linux.org> c59719f
- convert also Makefile to UNIX format instead changing patch

* Wed Apr 15 2009 arvenil <arvenil@pld-linux.org> f43c157
- up to 1.5.1
- BR: dos2unix (for fix)
- adapter

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> f783b19
- License is BSD

* Sat Aug 02 2008 arvenil <arvenil@pld-linux.org> ab8d7c0
- up to 1.5.0

* Sat Aug 02 2008 arvenil <arvenil@pld-linux.org> ca99b34
- up to 1.5.0
- added ghost

